<?xml version='1.0' encoding='UTF-8'?>
<!--

        This file is part of the Squashtest platform.
        Copyright (C) Henix, henix.fr

        See the NOTICE file distributed with this work for additional
        information regarding copyright ownership.

        This is free software: you can redistribute it and/or modify
        it under the terms of the GNU Lesser General Public License as published by
        the Free Software Foundation, either version 3 of the License, or
        (at your option) any later version.

        this software is distributed in the hope that it will be useful,
        but WITHOUT ANY WARRANTY; without even the implied warranty of
        MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
        GNU Lesser General Public License for more details.

        You should have received a copy of the GNU Lesser General Public License
        along with this software.  If not, see <http://www.gnu.org/licenses/>.

-->
<!DOCTYPE dataset SYSTEM "../../../../../dtd/squash-tm.10.0.0.dtd">
<dataset>
  <ATTACHMENT_LIST ATTACHMENT_LIST_ID="-1" />
<!--   ================= -->
<!-- =====PROJECT 1======= -->
<!--   ================= -->
  <PROJECT PROJECT_ID="-1" ATTACHMENT_LIST_ID="-1" CREATED_ON="2012-10-10" CREATED_BY="2012-10-10" NAME="nope" BDD_IMPLEMENTATION_TECHNOLOGY="CUCUMBER_4" BDD_SCRIPT_LANGUAGE="FRENCH"/>

<!--  <CUSTOM_FIELD FIELD_TYPE="CF" NAME="T" INPUT_TYPE="PLAIN_TEXT" CF_ID="-1" DEFAULT_VALUE="cufT" CODE="cufT"-->
<!--    LABEL="cufT" />-->
<!--  <CUSTOM_FIELD FIELD_TYPE="CF" NAME="U" INPUT_TYPE="PLAIN_TEXT" CF_ID="-2" DEFAULT_VALUE="cufU" CODE="cufU"-->
<!--    LABEL="cufU" />-->
<!--  <CUSTOM_FIELD FIELD_TYPE="CF" NAME="V" INPUT_TYPE="PLAIN_TEXT" CF_ID="-3" DEFAULT_VALUE="cufV" CODE="cufV"-->
<!--    LABEL="cufV" />-->
<!--  <CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-1" POSITION="0" BOUND_PROJECT_ID="-1"-->
<!--    CF_ID="-1" />-->
<!--  <CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-2" POSITION="1" BOUND_PROJECT_ID="-1"-->
<!--    CF_ID="-2" />-->
<!--  <CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_CASE" CFB_ID="-3" POSITION="2" BOUND_PROJECT_ID="-1"-->
<!--    CF_ID="-3" />-->
<!--  <CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_STEP" CFB_ID="-4" POSITION="0" BOUND_PROJECT_ID="-1"-->
<!--    CF_ID="-1" />-->
<!--  <CUSTOM_FIELD_BINDING BOUND_ENTITY="TEST_STEP" CFB_ID="-5" POSITION="1" BOUND_PROJECT_ID="-1"-->
<!--    CF_ID="-2" />-->
<!--  <CUSTOM_FIELD_RENDERING_LOCATION CFB_ID="-4" RENDERING_LOCATION="STEP_TABLE" />-->
<!--  <CUSTOM_FIELD_RENDERING_LOCATION CFB_ID="-5" RENDERING_LOCATION="STEP_TABLE" />-->


  <CAMPAIGN_LIBRARY_NODE ATTACHMENT_LIST_ID="-1" CREATED_ON="2020-07-15" CREATED_BY="ADMIN" CLN_ID="-1"
    NAME="c" PROJECT_ID="-1" />
  <CAMPAIGN ACTUAL_START_AUTO="false" ACTUAL_END_AUTO="false" CLN_ID="-1" />

  <!-- ITERATIONS -->
  <ITERATION NAME="source" ITERATION_ID="-1" ACTUAL_END_AUTO="FALSE" ACTUAL_START_AUTO="FALSE"
    ACTUAL_START_DATE="2020-07-15" ACTUAL_END_DATE="2020-12-31" SCHEDULED_START_DATE="2020-07-15" SCHEDULED_END_DATE="2020-12-31"
    CREATED_BY="ADMIN" CREATED_ON="2010-07-15" ATTACHMENT_LIST_ID="-1"
    UUID="5445f750-34a9-42bd-9721-fd89e8c53977"/>

  <CAMPAIGN_ITERATION CAMPAIGN_ID="-1" ITERATION_ORDER="0" ITERATION_ID="-1" />

  <!-- 1 TEST CASE WITH 1 TEST STEPS -->
  <TEST_CASE_LIBRARY_NODE TCLN_ID="-1" NAME="test case 1" CREATED_BY="ADMIN" CREATED_ON="2020-07-15"
    ATTACHMENT_LIST_ID="-1" PROJECT_ID="-1" />
  <TEST_CASE TCLN_ID="-1" PREREQUISITE="TEST" UUID="44d63d7e-11dd-44b0-b584-565b6f791fa1"/>
  <KEYWORD_TEST_CASE TCLN_ID="-1"/>
<!--  <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-1" CFV_ID="-1" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-1"-->
<!--    VALUE="T" />-->
<!--  <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-1" CFV_ID="-2" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-2"-->
<!--    VALUE="U" />-->
<!--  <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-1" CFV_ID="-3" BOUND_ENTITY_TYPE="TEST_CASE" CFB_ID="-3"-->
<!--    VALUE="V" />-->

  <!-- 1 TEST CASE STEP -->
  <TEST_STEP TEST_STEP_ID="-1" />
  <ACTION_WORD ACTION_WORD_ID="-1" PROJECT_ID="-1" TOKEN="TP-Today is " CREATED_BY="ADMIN" CREATED_ON="2020-07-15"/>
  <ACTION_WORD_FRAGMENT ACTION_WORD_FRAGMENT_ID="-1" ACTION_WORD_ID="-1" FRAGMENT_ORDER="0"/>
  <ACTION_WORD_TEXT ACTION_WORD_FRAGMENT_ID="-1" TEXT="Today is "/>
  <ACTION_WORD_FRAGMENT ACTION_WORD_FRAGMENT_ID="-2" ACTION_WORD_ID="-1" FRAGMENT_ORDER="1"/>
  <ACTION_WORD_PARAMETER ACTION_WORD_FRAGMENT_ID="-2" NAME="param1" DEFAULT_VALUE="Monday"/>

  <KEYWORD_TEST_STEP TEST_STEP_ID="-1" KEYWORD="GIVEN" ACTION_WORD_ID="-1"/>
  <TEST_CASE_STEPS TEST_CASE_ID="-1" STEP_ID="-1" STEP_ORDER="0"/>

  <ACTION_WORD_PARAMETER_VALUE ACTION_WORD_PARAMETER_VALUE_ID="-1" VALUE="&lt;dateOfWeek&gt;" ACTION_WORD_FRAGMENT_ID="-2" KEYWORD_TEST_STEP_ID="-1"/>

  <PARAMETER PARAM_ID="-1" NAME="dateOfWeek" TEST_CASE_ID="-1" DESCRIPTION="tcParam1" PARAM_ORDER="0"/>
  <DATASET DATASET_ID="-1" TEST_CASE_ID="-1" NAME="dataset1"/>
  <DATASET_PARAM_VALUE DATASET_PARAM_VALUE_ID="-1" DATASET_ID="-1" PARAM_ID="-1" PARAM_VALUE="Friday"/>
<!--  <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-1" CFV_ID="-4" BOUND_ENTITY_TYPE="TEST_STEP" CFB_ID="-4"-->
<!--    VALUE="T" />-->
<!--  <CUSTOM_FIELD_VALUE BOUND_ENTITY_ID="-1" CFV_ID="-5" BOUND_ENTITY_TYPE="TEST_STEP" CFB_ID="-5"-->
<!--    VALUE="U" />-->

  <!-- TEST PLAN OF ITERATION -->
  <ITERATION_TEST_PLAN_ITEM ITEM_TEST_PLAN_ID="-1" EXECUTION_STATUS="FAILURE" TCLN_ID="-1"
    CREATED_BY="ADMIN" CREATED_ON="2020-07-15" DATASET_ID="-1"/>
  <ITEM_TEST_PLAN_LIST ITERATION_ID="-1" ITEM_TEST_PLAN_ID="-1" ITEM_TEST_PLAN_ORDER="0" />



</dataset>
